document.addEventListener('click', function(event) {
    let touchObj = new Touch({
        identifier: Date.now(),
        target: event.target,
        clientX: event.clientX,
        clientY: event.clientY,
        screenX: event.screenX,
        screenY: event.screenY,
        pageX: event.pageX,
        pageY: event.pageY
    });

    let touchEvent = new TouchEvent('touchstart', {
        touches: [touchObj],
        targetTouches: [],
        changedTouches: [touchObj],
        bubbles: true,
        cancelable: true
    });
    
    event.target.dispatchEvent(touchEvent);
});